import './assets/main.css'

import { createApp } from 'vue'
import App from './App.vue'
import { createPahoMqttPlugin } from 'vue-paho-mqtt'

createApp(App)
    .use(
        createPahoMqttPlugin({
            PluginOptions: {
                autoConnect: true,
                showNotifications: true,
              },
        
              MqttOptions: {
                host: import.meta.env.VITE_MQTT_HOST,
                port: parseInt(import.meta.env.VITE_MQTT_PORT),
                useSSL: ["1", "true", "True"].includes(import.meta.env.VITE_MQTT_SSL),
                clientId: `vju-${Math.random() * 9999}`,
                //mainTopic: '',
                enableMainTopic: false
              },
        })
    )
    .mount('#app')
